@import "assets/scss/global";

$drawerWidth: 449px;

.overlay {
    background-color: rgba(0, 0, 0, 0.2);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 100;
    display: flex;
    justify-content: center;
    align-items: center;

    &[class~="ReactModal__Overlay"] {
        [class~="ReactModal__Content"] {
            transition: all .3s ease-in-out;
            right: 0;
            transform: translateX($drawerWidth);
        }
    }

    &[class~="ReactModal__Overlay--after-open"] {
        [class~="ReactModal__Content"] {
            transform: translateX(0);
        }
    }

    &[class~="ReactModal__Overlay--before-close"] {
        [class~="ReactModal__Content"] {
            transform: translateX($drawerWidth);
        }
    }
}

.popoverText {
    display: flex;
    align-items: flex-start;
    padding: 16px;
    background: #4B4471;
    border-radius: 16px;

    [class~='rs-popover-arrow'] {
        &::after {
            border-bottom-color: #4B4471 !important;
        }
    }

    [class~='rs-popover-content'] {
        color: #FFFFFF;
        font-weight: 400;
        font-size: 14px;
        line-height: 20px;
    }
}

.btn-expand {
    position: fixed;
    z-index: 9;
    top: 120px;
    right: 10px;
    border-top-left-radius: 5px;
    border-right: 6px solid #FCBC16;
    cursor: pointer;
    background-color: transparent;
    overflow: hidden;

    &::after {
        display: block;
        content: '';
        top: 0;
        position: absolute;
        left: 8px;
        width: 100%;
        height: 100%;
        background-color: #7660FE;
        border-radius: 4px 0 0 6px;
        transform: skew(340deg);
    }

    .content {
        font-weight: 500;
        font-size: 14px;
        line-height: 20px;
        color: #FFFFFF;
        text-shadow: 0px 4px 54px rgba(0, 0, 0, 0.1);
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 10px;
        padding: 10px;
        padding-left: 24px;
        position: relative;
        z-index: 1;
    }

    &.expand-mode {
        visibility: hidden;

        svg {
            transform: rotate(180deg);
        }
    }
}

.drawer {
    position: absolute;
    width: $drawerWidth;
    height: 100%;
    max-height: 100vh;
    border-radius: 24px 0 0 24px;

    .filter-container {
        width: $drawerWidth;
        background-color: transparent;
        display: flex;

        .btn-expand-drawer {
            position: relative;
            display: flex;
            justify-content: center;
            align-items: center;
            width: 29px;
            height: 33px;
            margin-top: 120px;
            background: #7660FE;
            border-radius: 16px 0px 0px 16px;
            padding: 10px 10px 12px;
            cursor: pointer;

            svg {
                width: 7px;
                height: 13px;
            }

            &.expand-mode {
                svg {
                    transform: rotate(180deg);
                }
            }
        }
    }

    .filter-box {
        position: relative;
        background-color: #fff;
        height: 100vh;
        width: 420px;
        border-radius: 12px 0px 0px 12px;

        display: flex;
        flex-direction: column;

        .header {
            padding: 10px;
            border-bottom: 1px solid #DFDAFF;
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: space-between;

            span {
                font-weight: 500;
                font-size: 16px;
                line-height: 24px;
                color: #202226;
            }

            .action-section {
                display: flex;
                align-items: center;
                justify-content: flex-end;
                gap: 10px;
            }

            .reset {
                font-weight: 500;
                font-size: 16px;
                line-height: 24px;
                display: flex;
                align-items: center;
                color: #ED3902;
                cursor: pointer;
            }

            button {
                padding: 10px;
            }

            svg {
                fill: #757688;
            }
        }

        .body {
            height: 100%;
            overflow: hidden auto;
            padding: 24px;
            padding-top: 10px;

            &::-webkit-scrollbar {
                width: 5px;
                background-color: transparent;
            }

            &::-webkit-scrollbar-track {
                background-color: transparent;
                border-radius: 10px;
                margin-top: 1rem;
                margin-bottom: 1rem;
            }

            &::-webkit-scrollbar-thumb {
                border-radius: 10px;
            }

            &>div:last-of-type {
                border: none;
            }

            .btn-download {
                position: relative;
                width: 100%;
                display: flex;
                align-items: center;
                justify-content: center;
                padding: 10px;
                gap: 10px;
                flex: 1 0 0;

                border-radius: 200px;
                border: 1px solid #7660FE;
                background: #FFF;

                .download-icon {
                    width: 22px;
                    height: 22px;

                    path {
                        fill: #7660FE;
                    }
                }

                span {
                    color: #7660FE;
                    font-style: normal;
                    font-size: 14px;
                    font-weight: 500;
                    line-height: 24px;
                }

                &:hover {
                    background: #7660FE;

                    .download-icon {
                        path {
                            fill: #FFF;
                        }
                    }

                    span {
                        color: #FFF;
                    }
                }

                &.upgrade-advance {
                    border: 1px solid rgba(118, 96, 254, 0.60);
                    background: #FFF;
                    cursor: default;

                    .download-icon {
                        path {
                            fill: rgba(118, 96, 254, 0.60);
                        }
                    }

                    span {
                        color: rgba(118, 96, 254, 0.60);
                    }

                    .packageIcon {
                        width: 30px;
                        height: 30px;
                        padding: 4px;
                        border-radius: 8px;
                        background: #FFF;
                        box-shadow: 0px 4px 4px 0px rgba(76, 95, 168, 0.20);
                    }
                }

                &.disabled {
                    background: #EAE9E9;
                    border: none;
                    cursor: not-allowed;

                    .download-icon {
                        path {
                            fill: #979797;
                        }
                    }

                    span {
                        color: #979797;
                    }
                }
            }
        }

        .footer {
            display: flex;
            flex-direction: row;
            justify-content: center;
            align-items: center;
            height: 86px;
            box-shadow: 0px 20px 54px rgba(0, 0, 0, 0.1);
            border-radius: 0px 0px 0px 12px;

            .apply-btn {
                color: #FFFFFF;
                background: $success-color;
                box-shadow: 0px 12px 18px rgba(150, 209, 159, 0.25);
                border-radius: 40px;
                font-weight: 600;
                font-size: 16px;
                line-height: 24px;

                &:hover {
                    background: linear-gradient(88.16deg, #AAEF66 1.56%, #39BA4C 97.89%);
                    box-shadow: 0 12px 18px rgba(150, 209, 159, 0.25);
                    border-radius: 40px;
                }

                &:disabled {
                    background: #F7F8FC;
                    border-color: #F7F8FC;
                    color: $grey-color;
                    // pointer-events: none;
                    cursor: not-allowed;
                }
            }
        }
    }
}

.tooltip-failed {
    display: flex;
    padding: 10px 12px;

    span {
        text-align: left;
        color: #202226;
        font-size: 14px;
        font-style: normal;
        font-weight: 400;
        line-height: 140%;
    }
}

.popover-modal {
    border-radius: 12px;
    box-shadow: 0px 4px 20px rgba(76, 95, 168, 0.1);
}